## Index

### Classes

- EmptyNode
- InclusionProof
- InteriorNode
- LeafNode
- Proof
- StateChangeBody

### Functions

- boolToBuffer
- hashToBits

## Functions

### boolToBuffer

- boolToBuffer(bits: boolean[]): Buffer

- - Defined in src/byzcoin/proof.ts:241

  Get a buffer from an array of boolean converted in binary

  #### Parameters

  - ##### bits: boolean[]

    the array of booleans

  #### Returns Buffer

  a buffer of the binary shape

### hashToBits

- hashToBits(key: Buffer): boolean[]

- - Defined in src/byzcoin/proof.ts:221

  Get an array of booleans depending on the binary representation of the key

  #### Parameters

  - ##### key: Buffer

    the key to hash

  #### Returns boolean[]

  an array of booleans matching the key binary value

Generated using TypeDoc